Redmine - Defect #7495

Python multiline comments highlighting problem in Repository browser

2011-01-30 23:07 - Graham King

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Third-party libraries Estimated time: 0.00 hour
Target version: 1.4.0

Resolution: Fixed Affected version: 1.3.2
Description

When viewing Python code (from an SVN repo) in the repository viewer multiline PyDoc style comments aren't highlighted correctly.

For example, the multiline comment in this ticket will highlight correctly, but not in the source viewer.

#!/usr/bin/python

def foo (bar):
"""Takes a bar and converts to a foo.
This is not a good idea."""
return bar

In the repository source viewer only the first line is highlighted.

We're running Redmine trunk r4786. I'm using Chrome on Linux.

About your application's environment

Ruby version 1.8.7 (x86_64-1inux)
RubyGems version 1308

Rack version 1.0

Rails version 2.3.5

Active Record version 2.3.5

Active Resource version 2.3.5

Action Mailer version 2.3.5

Active Support version 2.3.5

Application root /home/redmine/redmine

Environment production
Database adapter mysqgl
Database schema version 20101114115359

Related issues:
Related to Redmine - Feature #4264: Update CodeRay to 1.0 final

Closed

Associated revisions

Revision 9389 - 2012-04-12 19:54 - Etienne Massip
Updated CodeRay to 1.0.6.

Fixed multiline comments highlighting issue in file view (#7495).

History

#1 - 2011-04-29 20:56 - Be Fio

This actually happens to me also. | was wondering why it wasn't highlighting the multiline strings correctly.

#2 - 2011-04-29 21:23 - Etienne Massip

It's a CodeRay issue which has already been fixed in trunk. Next release, due in 16 days, (1.0 RC1 !) should include the fix.

#3 - 2011-04-30 02:47 - Mischa The Evil
https://www.redmine.org/projects/redmine/repository/svn/revisions/4786
http://redmine.rubychan.de/issues/190

- Category changed from Text formatting to Third-party libraries
- Target version set to Unplanned backlogs

- Start date deleted (2011-01-30)

- Affected version (unused) set to devel

Etienne Massip wrote:

It's a CodeRay issue which has already been fixed in trunk [...]

| presume you are talking about the trunk in the SCM of CodeRay, thus not Redmine trunk?!
Etienne Massip wrote:
Next release, due in 16 days, (1.0 RC1 !) should include the fix.

Since CodeRay 1.0 final might not make in into Redmine 1.3.0 I've created issue #8255 by copying issue #4264, changed issue-relations to reflect
the upstream roadmap:

- related to Feature #4264: Update CodeRay to 1.0 final

+ related to Feature #8255: Consider updating CodeRay to 1.0 RC-x

and changed to new - more appropriate - category...

#4 - 2011-04-30 12:52 - Etienne Massip

Mischa The Evil wrote:

| presume you are talking about the trunk in the SCM of CodeRay, thus not Redmine trunk?!

Indeed, sorry.

Since CodeRay 1.0 final might not make in into Redmine 1.3.0 I've created issue #8255 by copying issue #4264, changed issue-relations to

reflect the upstream roadmap:

- related to Feature #4264: Update CodeRay to 1.0 final

+ related to Feature #8255: Consider updating CodeRay to 1.0 RC-x

and changed to new - more appropriate - category...

| just changed the relation to #8255 as a "blocked by", if it is ok for you ?

#5 - 2011-10-10 20:06 - Etienne Massip

Actually it is not a CodeRay issue, it's a Redmine issue which is not easy to fix since it is due to RM slicing the syntax highlighter's output to insert line
numbering, breaking the HTML tree and thus the style inheritance.

And if we rely on CodeRay line numbering as suggested by #3382, then | guess this will definitely deny line wrapping, which may be annoying when
viewing code attachments.

Any thoughts?

#6 - 2011-11-25 17:50 - Etienne Massip
Blocked by CodeRay issue 222.

#7 - 2012-04-12 20:00 - Etienne Massip

- Status changed from New to Resolved

- Target version changed from Unplanned backlogs to 1.4.0
- Affected version (unused) changed from devel to 1.3.2

- Resolution set to Fixed

- Affected version set to 1.3.2
Fixed with r9389 but not merged. Part of 1.4.0?

#8 - 2012-04-14 06:57 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged, thanks.

2025-05-02

3/3


https://www.redmine.org/projects/redmine/repository/svn/revisions/9389
https://www.redmine.org/versions/40
http://www.tcpdf.org

